### A free/open-source library for quantitative finance

Public Member Functions
LeastSquareProblem Class Reference

Base class for least square problem. More...

`#include <ql/math/optimization/leastsquare.hpp>`

List of all members.

## Public Member Functions

virtual Size | size ()=0
| size of the problem ie size of target vector
virtual void | targetAndValue (const Array &x, Array &target, Array &fct2fit)=0
| compute the target vector and the values of the function to fit
virtual void | targetValueAndGradient (const Array &x, Matrix &grad_fct2fit, Array &target, Array &fct2fit)=0

## Detailed Description

Base class for least square problem.

## Member Function Documentation

virtual void targetValueAndGradient | ( | const Array & | x,
|  | Matrix & | grad_fct2fit,
|  | Array & | target,
|  | Array & | fct2fit
| ) |  | `[pure virtual]`

compute the target vector, the values of the function to fit and the matrix of derivatives